<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * EgresosCorporativo
 *
 * @ORM\Table(name="egresos_corporativo")
 * @ORM\Entity
 */
class EgresosCorporativo
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_egr", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideEgr;

    /**
     * @var string
     *
     * @ORM\Column(name="descripcion", type="string", length=255, nullable=false)
     */
    private $descripcion;

    /**
     * @var string
     *
     * @ORM\Column(name="monto", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $monto;

    /**
     * @var string
     *
     * @ORM\Column(name="entrega", type="string", length=255, nullable=false)
     */
    private $entrega;

    /**
     * @var string
     *
     * @ORM\Column(name="recibe", type="string", length=255, nullable=false)
     */
    private $recibe;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=false)
     */
    private $horMov;

    /**
     * @var string
     *
     * @ORM\Column(name="comprobante", type="string", length=255, nullable=true)
     */
    private $comprobante = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="num_recibo", type="string", length=15, nullable=true)
     */
    private $numRecibo = 'NULL';



    /**
     * Get ideEgr
     *
     * @return integer
     */
    public function getIdeEgr()
    {
        return $this->ideEgr;
    }

    /**
     * Set descripcion
     *
     * @param string $descripcion
     *
     * @return EgresosCorporativo
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;
    
        return $this;
    }

    /**
     * Get descripcion
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Set monto
     *
     * @param string $monto
     *
     * @return EgresosCorporativo
     */
    public function setMonto($monto)
    {
        $this->monto = $monto;
    
        return $this;
    }

    /**
     * Get monto
     *
     * @return string
     */
    public function getMonto()
    {
        return $this->monto;
    }

    /**
     * Set entrega
     *
     * @param string $entrega
     *
     * @return EgresosCorporativo
     */
    public function setEntrega($entrega)
    {
        $this->entrega = $entrega;
    
        return $this;
    }

    /**
     * Get entrega
     *
     * @return string
     */
    public function getEntrega()
    {
        return $this->entrega;
    }

    /**
     * Set recibe
     *
     * @param string $recibe
     *
     * @return EgresosCorporativo
     */
    public function setRecibe($recibe)
    {
        $this->recibe = $recibe;
    
        return $this;
    }

    /**
     * Get recibe
     *
     * @return string
     */
    public function getRecibe()
    {
        return $this->recibe;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return EgresosCorporativo
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set horMov
     *
     * @param \DateTime $horMov
     *
     * @return EgresosCorporativo
     */
    public function setHorMov($horMov)
    {
        $this->horMov = $horMov;
    
        return $this;
    }

    /**
     * Get horMov
     *
     * @return \DateTime
     */
    public function getHorMov()
    {
        return $this->horMov;
    }

    /**
     * Set comprobante
     *
     * @param string $comprobante
     *
     * @return EgresosCorporativo
     */
    public function setComprobante($comprobante)
    {
        $this->comprobante = $comprobante;
    
        return $this;
    }

    /**
     * Get comprobante
     *
     * @return string
     */
    public function getComprobante()
    {
        return $this->comprobante;
    }

    /**
     * Set numRecibo
     *
     * @param string $numRecibo
     *
     * @return EgresosCorporativo
     */
    public function setNumRecibo($numRecibo)
    {
        $this->numRecibo = $numRecibo;
    
        return $this;
    }

    /**
     * Get numRecibo
     *
     * @return string
     */
    public function getNumRecibo()
    {
        return $this->numRecibo;
    }
}
